Subject: Re: Reading remote reflogs

From: Dennis Kaarsemaker <[email-masked]>
Date: Fri, 29 Mar 2013 23:56:20 +0100

On vr, 2013-03-29 at 15:45 -0700, Junio C Hamano wrote:
> Dennis Kaarsemaker <[email-masked]> writes:
> 
> > ... Mirrored repositories don't
> > maintain a reflog, even with core.logAllRefUpdates = true,...
> 
> Are you sure about this?  When log_all_ref_updates is not set, by
> default we do not log for bare repositories, but other than that, we
> do not do anything special with respect to reflogs.

I was, as I tried the recipe below, though with a different repo. Must
have goofed something up, as it works now. Thanks for the braincheck :)

That gives me a reasonable approximation of distinct pushes if I pull
the mirror often enough. It's always going to be an approximation
though, so the original question still stands.
-- 
Dennis Kaarsemaker
www.kaarsemaker.net